Subject: Re: [1/1] Block device throttling [Re: Distributed storage.]

From: Alasdair G Kergon <[email-masked]>
Date: Fri, 31 Aug 2007 22:41:37 +0100

On Thu, Aug 30, 2007 at 04:20:35PM -0700, Daniel Phillips wrote:
> Resubmitting a bio or submitting a dependent bio from 
> inside a block driver does not need to be throttled because all 
> resources required to guarantee completion must have been obtained 
> _before_ the bio was allowed to proceed into the block layer.

I'm toying with the idea of keeping track of the maximum device stack
depth for each stacked device, and only permitting it to increase in
controlled circumstances.

Alasdair
-- 
[email-masked]